Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name: 		libatasmart
Version: 	0.17
Release: 	1
BuildArch:	i686
Summary: 	ATA S.M.A.R.T. Disk Health Monitoring Library
Group: 		System/Libraries
Source0: 	http://0pointer.de/public/libatasmart-%{version}.tar.gz
License: 	LGPLv2+
Url: 		http://git.0pointer.de/?p=libatasmart.git;a=summary
BuildRequires: 	libudev-devel

%description
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package devel
Summary: 	Development Files for libatasmart Client Development
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig
#Requires: 	vala

%description devel
Development Files for libatasmart Client Development

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT \( -name *.a \) -exec rm {} \;
rm $RPM_BUILD_ROOT%{_docdir}/libatasmart/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LGPL
%{_libdir}/libatasmart.so.*
%{_sbindir}/skdump
%{_sbindir}/sktest

%files devel
%defattr(-,root,root)
%{_includedir}/atasmart.h
%{_libdir}/libatasmart.so
%{_libdir}/libatasmart.la
%{_libdir}/pkgconfig/libatasmart.pc
%{_datadir}/vala/vapi/atasmart.vapi
%doc blob-examples/SAMSUNG* blob-examples/ST* blob-examples/Maxtor* blob-examples/WDC* blob-examples/FUJITSU* blob-examples/INTEL* blob-examples/TOSHIBA* blob-examples/MCC*

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.17-1
- Initial CCux package release
